Subject: bug#56171: Request for marking DEF entry when using completing-read

From: [email-masked]
Date: Thu, 23 Jun 2022 21:25:42 +0200 (CEST)

Jun 23, 2022, 19:17 by [email-masked]:

>> It would be valuable to mark the default entry
>> when users scroll through the options defined
>> for `completing-read` whenever a DEF is supplied.
>>
>
> I'm not sure what you mean.
>
> Is this about highlighting in `*Completions*' a
> completion that's the DEF?
>
Suppose one moves through the collection.  There is no way
that identifies the entry as being a designated DEF.

> Is it about selecting (as the active region) the
> DEF value when you insert it with `M-n'?
>
I think M-n ensured you are refering to DEF. 

> Something else?
>
> And is the request to be able do whatever-it-is
> _optionally_ or always?
>
Optionally is ok, but do not know the technical details.  I do not think
doing it always would be a bad thing.